<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-sdk](./iceshrimp-sdk.md) &gt; [entities](./iceshrimp-sdk.entities.md) &gt; [PageEvent](./iceshrimp-sdk.entities.pageevent.md)

## entities.PageEvent type

**Signature:**

```typescript
export type PageEvent = {
    pageId: Page["id"];
    event: string;
    var: any;
    userId: User["id"];
    user: User;
};
```
**References:** [Page](./iceshrimp-sdk.entities.page.md)<!-- -->, [User](./iceshrimp-sdk.entities.user.md)

